/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSErrors;

import dstep.appkit.AppKitDefines;
import dstep.foundation.NSString;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

import bindings = dstep.appkit.NSErrors_bindings;

private
{
	NSString NSTextLineTooLongException_;
	NSString NSTextNoSelectionException_;
	NSString NSWordTablesWriteException_;
	NSString NSWordTablesReadException_;
	NSString NSTextReadException_;
	NSString NSTextWriteException_;
	NSString NSPasteboardCommunicationException_;
	NSString NSPrintingCommunicationException_;
	NSString NSAbortModalException_;
	NSString NSAbortPrintingException_;
	NSString NSIllegalSelectorException_;
	NSString NSAppKitVirtualMemoryException_;
	NSString NSBadRTFDirectiveException_;
	NSString NSBadRTFFontTableException_;
	NSString NSBadRTFStyleSheetException_;
	NSString NSTypedStreamVersionException_;
	NSString NSTIFFException_;
	NSString NSPrintPackageException_;
	NSString NSBadRTFColorTableException_;
	NSString NSDraggingException_;
	NSString NSColorListIOException_;
	NSString NSColorListNotEditableException_;
	NSString NSBadBitmapParametersException_;
	NSString NSWindowServerCommunicationException_;
	NSString NSFontUnavailableException_;
	NSString NSPPDIncludeNotFoundException_;
	NSString NSPPDParseException_;
	NSString NSPPDIncludeStackOverflowException_;
	NSString NSPPDIncludeStackUnderflowException_;
	NSString NSRTFPropertyStackOverflowException_;
	NSString NSAppKitIgnoredException_;
	NSString NSBadComparisonException_;
	NSString NSImageCacheException_;
	NSString NSNibLoadingException_;
	NSString NSBrowserIllegalDelegateException_;
	NSString NSAccessibilityException_;
}

NSString NSTextLineTooLongException ()
{
	if (NSTextLineTooLongException_)
		return NSTextLineTooLongException_;

	return NSTextLineTooLongException_ = new NSString(bindings.NSTextLineTooLongException);
}

NSString NSTextNoSelectionException ()
{
	if (NSTextNoSelectionException_)
		return NSTextNoSelectionException_;

	return NSTextNoSelectionException_ = new NSString(bindings.NSTextNoSelectionException);
}

NSString NSWordTablesWriteException ()
{
	if (NSWordTablesWriteException_)
		return NSWordTablesWriteException_;

	return NSWordTablesWriteException_ = new NSString(bindings.NSWordTablesWriteException);
}

NSString NSWordTablesReadException ()
{
	if (NSWordTablesReadException_)
		return NSWordTablesReadException_;

	return NSWordTablesReadException_ = new NSString(bindings.NSWordTablesReadException);
}

NSString NSTextReadException ()
{
	if (NSTextReadException_)
		return NSTextReadException_;

	return NSTextReadException_ = new NSString(bindings.NSTextReadException);
}

NSString NSTextWriteException ()
{
	if (NSTextWriteException_)
		return NSTextWriteException_;

	return NSTextWriteException_ = new NSString(bindings.NSTextWriteException);
}

NSString NSPasteboardCommunicationException ()
{
	if (NSPasteboardCommunicationException_)
		return NSPasteboardCommunicationException_;

	return NSPasteboardCommunicationException_ = new NSString(bindings.NSPasteboardCommunicationException);
}

NSString NSPrintingCommunicationException ()
{
	if (NSPrintingCommunicationException_)
		return NSPrintingCommunicationException_;

	return NSPrintingCommunicationException_ = new NSString(bindings.NSPrintingCommunicationException);
}

NSString NSAbortModalException ()
{
	if (NSAbortModalException_)
		return NSAbortModalException_;

	return NSAbortModalException_ = new NSString(bindings.NSAbortModalException);
}

NSString NSAbortPrintingException ()
{
	if (NSAbortPrintingException_)
		return NSAbortPrintingException_;

	return NSAbortPrintingException_ = new NSString(bindings.NSAbortPrintingException);
}

NSString NSIllegalSelectorException ()
{
	if (NSIllegalSelectorException_)
		return NSIllegalSelectorException_;

	return NSIllegalSelectorException_ = new NSString(bindings.NSIllegalSelectorException);
}

NSString NSAppKitVirtualMemoryException ()
{
	if (NSAppKitVirtualMemoryException_)
		return NSAppKitVirtualMemoryException_;

	return NSAppKitVirtualMemoryException_ = new NSString(bindings.NSAppKitVirtualMemoryException);
}

NSString NSBadRTFDirectiveException ()
{
	if (NSBadRTFDirectiveException_)
		return NSBadRTFDirectiveException_;

	return NSBadRTFDirectiveException_ = new NSString(bindings.NSBadRTFDirectiveException);
}

NSString NSBadRTFFontTableException ()
{
	if (NSBadRTFFontTableException_)
		return NSBadRTFFontTableException_;

	return NSBadRTFFontTableException_ = new NSString(bindings.NSBadRTFFontTableException);
}

NSString NSBadRTFStyleSheetException ()
{
	if (NSBadRTFStyleSheetException_)
		return NSBadRTFStyleSheetException_;

	return NSBadRTFStyleSheetException_ = new NSString(bindings.NSBadRTFStyleSheetException);
}

NSString NSTypedStreamVersionException ()
{
	if (NSTypedStreamVersionException_)
		return NSTypedStreamVersionException_;

	return NSTypedStreamVersionException_ = new NSString(bindings.NSTypedStreamVersionException);
}

NSString NSTIFFException ()
{
	if (NSTIFFException_)
		return NSTIFFException_;

	return NSTIFFException_ = new NSString(bindings.NSTIFFException);
}

NSString NSPrintPackageException ()
{
	if (NSPrintPackageException_)
		return NSPrintPackageException_;

	return NSPrintPackageException_ = new NSString(bindings.NSPrintPackageException);
}

NSString NSBadRTFColorTableException ()
{
	if (NSBadRTFColorTableException_)
		return NSBadRTFColorTableException_;

	return NSBadRTFColorTableException_ = new NSString(bindings.NSBadRTFColorTableException);
}

NSString NSDraggingException ()
{
	if (NSDraggingException_)
		return NSDraggingException_;

	return NSDraggingException_ = new NSString(bindings.NSDraggingException);
}

NSString NSColorListIOException ()
{
	if (NSColorListIOException_)
		return NSColorListIOException_;

	return NSColorListIOException_ = new NSString(bindings.NSColorListIOException);
}

NSString NSColorListNotEditableException ()
{
	if (NSColorListNotEditableException_)
		return NSColorListNotEditableException_;

	return NSColorListNotEditableException_ = new NSString(bindings.NSColorListNotEditableException);
}

NSString NSBadBitmapParametersException ()
{
	if (NSBadBitmapParametersException_)
		return NSBadBitmapParametersException_;

	return NSBadBitmapParametersException_ = new NSString(bindings.NSBadBitmapParametersException);
}

NSString NSWindowServerCommunicationException ()
{
	if (NSWindowServerCommunicationException_)
		return NSWindowServerCommunicationException_;

	return NSWindowServerCommunicationException_ = new NSString(bindings.NSWindowServerCommunicationException);
}

NSString NSFontUnavailableException ()
{
	if (NSFontUnavailableException_)
		return NSFontUnavailableException_;

	return NSFontUnavailableException_ = new NSString(bindings.NSFontUnavailableException);
}

NSString NSPPDIncludeNotFoundException ()
{
	if (NSPPDIncludeNotFoundException_)
		return NSPPDIncludeNotFoundException_;

	return NSPPDIncludeNotFoundException_ = new NSString(bindings.NSPPDIncludeNotFoundException);
}

NSString NSPPDParseException ()
{
	if (NSPPDParseException_)
		return NSPPDParseException_;

	return NSPPDParseException_ = new NSString(bindings.NSPPDParseException);
}

NSString NSPPDIncludeStackOverflowException ()
{
	if (NSPPDIncludeStackOverflowException_)
		return NSPPDIncludeStackOverflowException_;

	return NSPPDIncludeStackOverflowException_ = new NSString(bindings.NSPPDIncludeStackOverflowException);
}

NSString NSPPDIncludeStackUnderflowException ()
{
	if (NSPPDIncludeStackUnderflowException_)
		return NSPPDIncludeStackUnderflowException_;

	return NSPPDIncludeStackUnderflowException_ = new NSString(bindings.NSPPDIncludeStackUnderflowException);
}

NSString NSRTFPropertyStackOverflowException ()
{
	if (NSRTFPropertyStackOverflowException_)
		return NSRTFPropertyStackOverflowException_;

	return NSRTFPropertyStackOverflowException_ = new NSString(bindings.NSRTFPropertyStackOverflowException);
}

NSString NSAppKitIgnoredException ()
{
	if (NSAppKitIgnoredException_)
		return NSAppKitIgnoredException_;

	return NSAppKitIgnoredException_ = new NSString(bindings.NSAppKitIgnoredException);
}

NSString NSBadComparisonException ()
{
	if (NSBadComparisonException_)
		return NSBadComparisonException_;

	return NSBadComparisonException_ = new NSString(bindings.NSBadComparisonException);
}

NSString NSImageCacheException ()
{
	if (NSImageCacheException_)
		return NSImageCacheException_;

	return NSImageCacheException_ = new NSString(bindings.NSImageCacheException);
}

NSString NSNibLoadingException ()
{
	if (NSNibLoadingException_)
		return NSNibLoadingException_;

	return NSNibLoadingException_ = new NSString(bindings.NSNibLoadingException);
}

NSString NSBrowserIllegalDelegateException ()
{
	if (NSBrowserIllegalDelegateException_)
		return NSBrowserIllegalDelegateException_;

	return NSBrowserIllegalDelegateException_ = new NSString(bindings.NSBrowserIllegalDelegateException);
}

NSString NSAccessibilityException ()
{
	if (NSAccessibilityException_)
		return NSAccessibilityException_;

	return NSAccessibilityException_ = new NSString(bindings.NSAccessibilityException);
}

