/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSPageLayout;

import dstep.appkit.NSPrintInfo;
import dstep.appkit.NSView;
import dstep.appkit.NSViewController;
import dstep.appkit.NSWindow;
import dstep.appkit.NSWindowController;
import dstep.foundation.NSArray;
import dstep.foundation.NSObjCRuntime;
import dstep.foundation.NSObject;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

const TNSPageLayoutPanel = `

	void runPageLayout (Object sender)
	{
		return invokeObjcSelf!(void, "runPageLayout:", Object)(sender);
	}

	//mixin ObjcBindMethod!(runPageLayout, "runPageLayout:");

`;

class NSPageLayout : NSObject
{
	mixin (ObjcWrap);

	static NSPageLayout pageLayout ()
	{
		return invokeObjcSelfClass!(NSPageLayout, "pageLayout");
	}

	void addAccessoryController (NSViewController accessoryController)
	{
		return invokeObjcSelf!(void, "addAccessoryController:", NSViewController)(accessoryController);
	}

	void removeAccessoryController (NSViewController accessoryController)
	{
		return invokeObjcSelf!(void, "removeAccessoryController:", NSViewController)(accessoryController);
	}

	NSArray accessoryControllers ()
	{
		return invokeObjcSelf!(NSArray, "accessoryControllers");
	}

	void beginSheetWithPrintInfo (NSPrintInfo printInfo, NSWindow docWindow, Object delegate_, SEL didEndSelector, void* contextInfo)
	{
		return invokeObjcSelf!(void, "beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:", NSPrintInfo, NSWindow, Object, SEL, void*)(printInfo, docWindow, delegate_, didEndSelector, contextInfo);
	}

	NSInteger runModalWithPrintInfo (NSPrintInfo printInfo)
	{
		return invokeObjcSelf!(NSInteger, "runModalWithPrintInfo:", NSPrintInfo)(printInfo);
	}

	NSInteger runModal ()
	{
		return invokeObjcSelf!(NSInteger, "runModal");
	}

	NSPrintInfo printInfo ()
	{
		return invokeObjcSelf!(NSPrintInfo, "printInfo");
	}
}