/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSTableHeaderView;

import dstep.appkit.NSColor;
import dstep.appkit.NSCursor;
import dstep.appkit.NSImage;
import dstep.appkit.NSTableView;
import dstep.appkit.NSView;
import dstep.applicationservices.coregraphics.CGBase;
import dstep.foundation.NSGeometry;
import dstep.foundation.NSObjCRuntime;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

class NSTableHeaderView : NSView
{
	mixin (ObjcWrap);

	void setTableView (NSTableView tableView)
	{
		return invokeObjcSelf!(void, "setTableView:", NSTableView)(tableView);
	}

	NSTableView tableView ()
	{
		return invokeObjcSelf!(NSTableView, "tableView");
	}

	NSInteger draggedColumn ()
	{
		return invokeObjcSelf!(NSInteger, "draggedColumn");
	}

	CGFloat draggedDistance ()
	{
		return invokeObjcSelf!(CGFloat, "draggedDistance");
	}

	NSInteger resizedColumn ()
	{
		return invokeObjcSelf!(NSInteger, "resizedColumn");
	}

	NSRect headerRectOfColumn (NSInteger column)
	{
		return invokeObjcSelf!(NSRect, "headerRectOfColumn:", NSInteger)(column);
	}

	NSInteger columnAtPoint (NSPoint point)
	{
		return invokeObjcSelf!(NSInteger, "columnAtPoint:", NSPoint)(point);
	}
}

